Loading...
Searching...
No Matches
pappso::specpeptidoms::KeyCell Struct Reference

`#include <semiglobalalignment.h>`

## Public Attributes

std::size_t | n_row
int | score
std::size_t | beginning
int | tree_id

## Detailed Description

Definition at line 48 of file semiglobalalignment.h.

## Member Data Documentation

## beginning

std::size_t pappso::specpeptidoms::KeyCell::beginning

Definition at line 52 of file semiglobalalignment.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::SemiGlobalAlignment(), pappso::specpeptidoms::SemiGlobalAlignment::correctAlign(), pappso::specpeptidoms::SemiGlobalAlignment::initFastAlign(), and pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

## n_row

std::size_t pappso::specpeptidoms::KeyCell::n_row

Definition at line 50 of file semiglobalalignment.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::SemiGlobalAlignment(), pappso::specpeptidoms::SemiGlobalAlignment::correctAlign(), pappso::specpeptidoms::SemiGlobalAlignment::initFastAlign(), and pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

## score

int pappso::specpeptidoms::KeyCell::score

Definition at line 51 of file semiglobalalignment.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::SemiGlobalAlignment(), pappso::specpeptidoms::SemiGlobalAlignment::correctAlign(), pappso::specpeptidoms::SemiGlobalAlignment::initFastAlign(), and pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

## tree_id

int pappso::specpeptidoms::KeyCell::tree_id

Definition at line 53 of file semiglobalalignment.h.

Referenced by pappso::specpeptidoms::SemiGlobalAlignment::SemiGlobalAlignment(), pappso::specpeptidoms::SemiGlobalAlignment::correctAlign(), pappso::specpeptidoms::SemiGlobalAlignment::initFastAlign(), and pappso::specpeptidoms::SemiGlobalAlignment::updateAlignmentMatrix().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/specpeptidoms/semiglobalalignment.h